import 'package:flutter/material.dart';

import 'package:flutter/services.dart';
import 'package:xinlake_platform/xinlake_platform.dart';

void main() {
  runApp(const XinlakePlatformDemo());
}

class XinlakePlatformDemo extends StatefulWidget {
  const XinlakePlatformDemo({Key? key}) : super(key: key);

  @override
  State<XinlakePlatformDemo> createState() => _XinlakePlatformState();
}

class _XinlakePlatformState extends State<XinlakePlatformDemo> {
  String? _pathPicked;

  TableRow _rowGetWindowSize() {
    return TableRow(
      children: [
        TextButton(
          onPressed: () async {
            var path = await XinlakePlatform.pickFile(
              mimeType: "image/jpeg",
              filterName: "JPEG Images",
              filterPattern: "*.jpg; *.jpeg",
            );
            setState(() => _pathPicked = path);
          },
          child: const Text("pickFile"),
        ),
        Expanded(
          child: Text("$_pathPicked"),
        ),
      ],
    );
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
        primaryColor: Colors.teal,
        brightness: Brightness.dark,
      ),
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Xinlake-Platform Demo'),
        ),
        body: Container(
          padding: const EdgeInsets.all(10),
          alignment: Alignment.center,
          child: SingleChildScrollView(
            child: Table(
              defaultVerticalAlignment: TableCellVerticalAlignment.baseline,
              textBaseline: TextBaseline.alphabetic,
              columnWidths: const {
                0: IntrinsicColumnWidth(),
                1: IntrinsicColumnWidth(),
              },
              children: [
                _rowGetWindowSize(),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
