import 'dart:async';

import 'package:flutter/services.dart';

class XinlakePlatform {
  static const MethodChannel _channel = MethodChannel('xinlake_platform');

  /// Android
  /// * mimeType: Acceptable MIME types such as "image/jpeg", "audio/*"
  /// ***
  /// Windows
  /// * filterName: Friendly name of the filter
  /// * filterPattern: Filter pattern
  /// ***
  /// All
  /// * isMultiSelection: Multiple selection
  static Future<String?> pickFile({
    // android
    String? mimeType,
    // windows
    String? filterName,
    String? filterPattern,
    // all
    bool isMultiSelection = false,
  }) async {
    try {
      return await _channel.invokeMethod('pickFile', {
        "mimeType": mimeType,
        "filterName": filterName,
        "filterPattern": filterPattern,
        "isMultiSelection": isMultiSelection,
      });
    } catch (error) {
      return null;
    }
  }

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
